{% extends "bases/modelo.html" %}

<!DOCTYPE html>
{% load bootstrap5 %}
{% bootstrap_css %}
{% bootstrap_javascript %}
{% load static %}
{% load i18n %}

<html>
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <link rel='stylesheet' href={% static 'css/nav.css' %}>
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css" integrity="...">

        <title>
            {% block head_title %}
            {% endblock head_title %}
        </title>
        {% block extra_head %}
        {% endblock extra_head %}
    </head>
    {% block info%}
    {% endblock info %}

    {% block conteudo %}

    <body>
        <div class='container'>
        {% block body %}
            {% if messages %}
                
                {% for message in messages %}
                <div class="card border-warning my-4" style="max-width: 18rem;">
                    <div class="card-body">
                        <h5 class="card-title">AVISO</h5>
                        <strong class="card-text">{{ message }}</strong>
                    </div>
                </div>
                {% endfor %}
            {% endif %}

            {% comment %} <div>
                <div class="card text-center my-3 " >

                <div class='row '>
                    {% if user.is_authenticated %}
                    <div class='col-sm-12 col-md-6 col-6'>
                            <a href="{% url 'account_email' %}">{% trans "Change Email" %}</a>
                        </div>
                        <div class='col-sm-12 col-md-6 col-6' >

                            <a href="{% url 'account_logout' %}">{% trans "Sign Out" %}</a>
                        </div>
                    {% else %}
                    <div class='col-sm-12 col-md-6 col-lg-6 col-12'>
                            <button class="btn btn-dark-green  w-100 btn-info"  onclick="location.href='/accounts/login/'"><strong>{% trans "Sign In" %}</strong></button>
                        </div>
                        <div class='col-sm-12 col-md-6 col-lg-6 col-12'>
                            <button class="btn btn-dark-green  w-100 btn-info"  onclick="location.href='/accounts/signup/'"><strong>{% trans "Sign Up" %}</strong></button>

                        </div>
                        
                    {% endif %}
                    </div>
            </div> {% endcomment %}
            
        </div>  
</div>
</div>

            {% block content %}
            {% endblock content %}
        {% endblock body %}
        {% block extra_body %}
        {% endblock extra_body %}
        {% endblock conteudo%}
        </div>
    </div>

</div>

    </body>
</html>
